Subject: Ticket Assigned - Complaint Number 5847979: Return of Item Immediately after Purchasing
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2023 07:24:13 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint Number 5847979: Return of Item Immediately after Purchasing  Hello,

I placed an order of multiple items from Baby shop store online for a baby with expected arrival in one month, so the products were never touched. An hour after I received one of the items (Baby Mattress), I tried it on the baby cot we have but it didn't fit at all. I asked the delivery responsible to take it back but he refused saying I need to approach the company with the order number and inquire about the exchange policy. The product is not used and never touched.

I need to replace the product with another one of dimensions 132X70X14 which costs 225 AED, exchange it with the one I have (120X60X10) and pay the difference. Please find the pictures of the product that I needed to attached based on Babyshop customer service.

Looping Dubai Police and Dubai Customer Rights Department of Economic Development (DED) as well to the email as I filed a complaint over there too.

One more thing to end the email with. I don't appreciate the level of customer service I received over my last call requesting help with the return of the mattress. I'm native Arabic speaker talking in English on the call. Your customer service representatives have been talking very rude in Arabic in the background assuming that I don't understand the conversation. You may listen to the recording but none is appreciated.

Thanks,
Medhat Khalaf
Senior Integration Architect
International Consulting Services
Mobile: +971 558 625634 (UAE)

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5857157